/**
 * This source files within this package (com.sshtools.sshterm.emulation
 * have been derived from the The Java Telnet/SSH Applet source available
 * from www.javassh.org.
 *
 * This source is distributed under the GNU General Public License
 * a copy of which should have been provided with the distribution
 * you have received.
 */

package com.sshtools.sshterm.emulation;

/**
 *  Generic display
 *
 *@author     lee
 *@created    19 August 2002
 */
public interface VDUDisplay {
    /**
     *  Description of the Method
     */
    public void redraw();


    /**
     *  Sets the vDUBuffer attribute of the VDUDisplay object
     *
     *@param  buffer  The new vDUBuffer value
     */
    public void setVDUBuffer(VDUBuffer buffer);


    /**
     *  Gets the vDUBuffer attribute of the VDUDisplay object
     *
     *@return    The vDUBuffer value
     */
    public VDUBuffer getVDUBuffer();
}
